Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.loader
Class WavefrontObject

    java.lang.Object
      com.loader.WavefrontObject

    public class WavefrontObject

extends java.lang.Object

Field Summary
`double` | `radius`

Constructor Summary
`WavefrontObject(java.lang.String fileName)`

Method Summary
`java.lang.String` | `getContextfolder()`
`Material` | `getCurrentMaterial()`
`java.util.ArrayList<Face>` | `getFaces()`
`java.util.Hashtable<java.lang.String,Material>` | `getMaterials()`
`java.util.ArrayList<Vertex>` | `getNormals()`
`java.util.ArrayList<TextureCoordinate>` | `getTextures()`
`java.util.ArrayList<Vertex>` | `getVertices()`
`void` | `parse(java.lang.String fileName)`
`void` | `setCurrentMaterial(Material currentMaterial)`
`void` | `setFaces(java.util.ArrayList<Face> faces)`
`void` | `setMaterials(java.util.Hashtable<java.lang.String,Material> materials)`
`void` | `setNormals(java.util.ArrayList<Vertex> normals)`
`void` | `setTextures(java.util.ArrayList<TextureCoordinate> textures)`
`void` | `setVertices(java.util.ArrayList<Vertex> vertices)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### radius

    public double radius

Constructor Detail

### WavefrontObject

    public WavefrontObject(java.lang.String fileName)

Method Detail

### getContextfolder

    public java.lang.String getContextfolder()

### parse

    public void parse(java.lang.String fileName)

### setMaterials

    public void setMaterials(java.util.Hashtable<java.lang.String,Material> materials)

### setTextures

    public void setTextures(java.util.ArrayList<TextureCoordinate> textures)

### getTextures

    public java.util.ArrayList<TextureCoordinate> getTextures()

### setVertices

    public void setVertices(java.util.ArrayList<Vertex> vertices)

### getVertices

    public java.util.ArrayList<Vertex> getVertices()

### setFaces

    public void setFaces(java.util.ArrayList<Face> faces)

### getFaces

    public java.util.ArrayList<Face> getFaces()

### setNormals

    public void setNormals(java.util.ArrayList<Vertex> normals)

### getNormals

    public java.util.ArrayList<Vertex> getNormals()

### getMaterials

    public java.util.Hashtable<java.lang.String,Material> getMaterials()

### getCurrentMaterial

    public Material getCurrentMaterial()

### setCurrentMaterial

    public void setCurrentMaterial(Material currentMaterial)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD